API ReferenceProviders

Create provider

Create a new provider in the account.

POST
/v1/providers

Authorization

authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

Provider params

TypeScript Definitions

Use the request body type in TypeScript.

Request schema for creating a provider

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/providers" \  -H "Content-Type: application/json" \  -d '{    "add_user": true,    "display_name": "John Smith",    "email": "john.smith@tendermedical.com",    "first_name": "John",    "last_name": "Smith",    "metadata": {      "external_id": "123"    },    "notify": false,    "role_ids": [      "role_123456789012"    ],    "time_zone": "America/New_York"  }'
{  "data": {    "created_at": "2017-09-12T12:34:55Z",    "display_name": "John Smith",    "email": "john@example.com",    "first_name": "John",    "id": "prov_d025a96ac0c6",    "last_name": "Smith",    "metadata": {      "external_id": "123"    },    "object": "provider",    "time_zone": "America/New_York",    "updated_at": "2017-09-13T10:11:12Z"  }}